Basketball V1
Completed Games
Get completed basketball games with final scores
GET
/
games
/
results
Completed Games
curl --request GET \
--url https://api.sportsapipro.com/v1/basketball/games/results \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sportsapipro.com/v1/basketball/games/results"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sportsapipro.com/v1/basketball/games/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
V1 Legacy Endpoint — This is a V1 API endpoint. For new integrations, we recommend using the Basketball V2 API which provides richer data and more endpoints.
Overview
Returns completed basketball games with final scores, box scores, and statistics.Query Parameters
integer
Filter by competition ID (e.g., 132 for NBA)
string
Filter by specific date (YYYY-MM-DD format)
Code Examples
curl -X GET "https://api.sportsapipro.com/v1/basketball/games/results?competitions=132" \
-H "x-api-key: YOUR_API_KEY"
const response = await fetch(
'https://api.sportsapipro.com/v1/basketball/games/results?competitions=132',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
);
const data = await response.json();
import requests
response = requests.get(
'https://api.sportsapipro.com/v1/basketball/games/results',
params={'competitions': 132},
headers={'x-api-key': 'YOUR_API_KEY'}
)
Response Structure
array
Last modified on June 29, 2026
Was this page helpful?
⌘I
Completed Games
